Bug 433251 - rawstudio hangs at startup
rawstudio hangs at startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rawstudio (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-17 23:29 EST by Ulrich Drepper
Modified: 2008-05-21 06:57 EDT (History)
0 users

See Also:
Fixed In Version: 1.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-18 01:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2008-02-17 23:29:10 EST
Description of problem:
It seems the current rawstudio version gets into a deadlock situation at startup
time.  The GUI is mostly set up correctly but the immage itself is not drawn. 
The backtraces for the two threads are:

#0  0x000000300100cef4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x0000003001008915 in _L_lock_102 () from /lib64/libpthread.so.0
#2  0x0000003001008390 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x000000300641a9a0 in __gxx_personality_v0 ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#4  0x000000300641a937 in gdk_threads_enter ()
   from /usr/lib64/libgdk-x11-2.0.so.0

and

#0  0x000000300100cef4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x0000003001008915 in _L_lock_102 () from /lib64/libpthread.so.0
#2  0x0000003001008390 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x000000300641a9a0 in __gxx_personality_v0 ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#4  0x000000300641a937 in gdk_threads_enter ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#5  0x00000000004530c9 in __gxx_personality_v0 ()
#6  0x000000300340b1a9 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#7  0x000000300341a831 in __gxx_personality_v0 ()
   from /lib64/libgobject-2.0.so.0
#8  0x000000300341bc73 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#9  0x000000300341be43 in g_signal_emit () from /lib64/libgobject-2.0.so.0


Version-Release number of selected component (if applicable):
rawstudio-0.7-1.fc8.x86_64

How reproducible:
always

Steps to Reproduce:
1.pick a Canon .cr2 file
2.start rawstudio with the file name on the command line
3.
  
Actual results:
hanging process

Expected results:
no hand, screen update

Additional info:
If necessary, I can provide a .cr2 file.  It's big, though, so I avoid uploading it.
Comment 1 Gianluca Sforna 2008-02-20 17:13:08 EST
It seems this happens also on 32bit, but only if you start with filename on the
command line.

I found the same bug upstream:
http://bugzilla.rawstudio.org/show_bug.cgi?id=169
Comment 2 Fedora Update System 2008-05-14 19:14:02 EDT
rawstudio-1.0-1.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-05-17 18:27:59 EDT
rawstudio-1.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rawstudio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-4117
Comment 4 Ulrich Drepper 2008-05-18 01:54:44 EDT
I tested 1.0-1.fc9 and it works now.
Comment 5 Fedora Update System 2008-05-21 06:57:22 EDT
rawstudio-1.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.